Skip to main content
`Ctrl`+`K`

# PCRedundantSetNumber

Sets the number of redundant preconditioner contexts.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCRedundantSetNumber(PC pc, PetscInt nredundant)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- nredundant - number of redundant preconditioner contexts; for example if you are using 64 MPI processes and use an nredundant of 4 there will be 4 parallel solves each on 16 = 64/4 processes.

## See Also

KSP: Linear System Solvers, `PCREDUNDANT`

## Level

advanced

## Location

src/ksp/pc/impls/redundant/redundant.c

## Implementations

PCRedundantSetNumber_Redundant() in src/ksp/pc/impls/redundant/redundant.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages